Add ISBN as look-up option to the citoid service
Closed, ResolvedPublic40 Story Points

Description

Epic mostly for the legal/contract reasons, sadly.

Mvolz created this task.Nov 4 2014, 9:24 PM
Mvolz updated the task description. (Show Details)
Mvolz raised the priority of this task from to Normal.
Mvolz added a project: Citoid.
Mvolz changed Security from none to None.
Mvolz moved this task from Backlog to IO Tasks on the Citoid board.
Mvolz added a subscriber: Mvolz.
Mvolz claimed this task.Apr 7 2015, 2:46 PM
Elitre added a subscriber: Elitre.May 4 2015, 6:33 AM
He7d3r added a subscriber: He7d3r.Jul 12 2015, 5:46 PM

Can we be more specific? A quick Google search (generate citation from ISBN) shows a number of tools that generate citations from a database; in at least one case, that's WorldCat, via its API (https://www.worldcat.org/affiliate/tools?atype=wcapi ). Maybe it takes a lawyer to negotiate the price, but it's perhaps calling this "Epic" is a bit of an overstatement - it looks like other organizations have done so, and - given that at least one appears to have as its business model getting revenues from online ads - perhaps the price is quite reasonable?

And, hopefully, once an API is available, that's 90% of the solution.

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptNov 17 2015, 5:22 PM
Mvolz added a comment.Nov 17 2015, 9:49 PM

Hi John,

We've been in contact with WorldCat for over a year now and we're still
working on a contract. Hopefully we'll have something soon.

Jdforrester-WMF set the point value for this task to 40.May 10 2016, 1:32 AM
Mvolz claimed this task.Aug 1 2016, 1:43 PM

Change 302269 had a related patch set uploaded (by Mvolz):
[WIP] Add request by ISBN using worldcat xisbn service

https://gerrit.wikimedia.org/r/302269

Change 302269 merged by Mobrovac:
Add request by ISBN using worldcat xisbn service

https://gerrit.wikimedia.org/r/302269

mobrovac changed the task status from Open to Stalled.Aug 23 2016, 12:46 PM
mobrovac added a project: User-mobrovac.
mobrovac added a subscriber: mobrovac.

This has been deployed to prod, but isn't active yet. Setting to stalled until that happens, as we need to negotiate a token, set the outgoing IP, etc.

When can we expect to have all of this done? :)

@Trizek-WMF: @Jdforrester-WMF is working on getting the agreement with oclc finalised, at which point we'll have access to keys and tokens and so forth.

DarTar added a subscriber: DarTar.Aug 28 2016, 4:45 PM
Jdforrester-WMF renamed this task from Add ISBN as look-up option to Add ISBN as look-up option to the citoid service.Sep 12 2016, 9:39 PM
Jdforrester-WMF removed a project: User-notice.
Jdforrester-WMF moved this task from Freezer to External and Administrivia on the VisualEditor board.
Mvolz removed Mvolz as the assignee of this task.Sep 30 2016, 2:38 PM

Can this help mitigate T117165 somehow?

Trizek removed a subscriber: Trizek.Nov 23 2016, 9:22 AM

Can this help mitigate T117165 somehow?

Seems unrelated.

Change 321119 had a related patch set uploaded (by Mvolz):
Add support for worldcat search api

https://gerrit.wikimedia.org/r/321119

Change 324943 had a related patch set uploaded (by Mobrovac):
Citoid: Add the wskey parameter

https://gerrit.wikimedia.org/r/324943

Change 324939 had a related patch set uploaded (by Mobrovac):
Add the WorldCat production config fields

https://gerrit.wikimedia.org/r/324939

mobrovac changed the task status from Stalled to Open.Dec 2 2016, 5:47 PM

Change 324943 merged by Alexandros Kosiaris:
Citoid: Add the wskey parameter

https://gerrit.wikimedia.org/r/324943

Elitre added a comment.Dec 7 2016, 2:14 PM

Citoid: Add the wskey parameter

I totally misread that. Cheers!

Change 324939 merged by Mobrovac:
Add the WorldCat production config fields

https://gerrit.wikimedia.org/r/324939

This has been deployed in production, time to resolve it (finally) ?

Elitre added a comment.Dec 7 2016, 3:17 PM

I tried with 978-3-16-148410-0 and https://en.wikipedia.org/w/index.php?title=User%3AElitre_%28WMF%29%2FSandbox&type=revision&diff=753499569&oldid=724465258 is the result (interestingly, it doesn't feature the ISBN number as I'd expect). If this is indeed solved, we should update at least the citoid-citefromdialog-search-label message.

Jdforrester-WMF closed this task as Resolved.
Jdforrester-WMF claimed this task.

This has been deployed in production, time to resolve it (finally) ?

Yup!

I tried with 978-3-16-148410-0 and https://en.wikipedia.org/w/index.php?title=User%3AElitre_%28WMF%29%2FSandbox&type=revision&diff=753499569&oldid=724465258 is the result (interestingly, it doesn't feature the ISBN number as I'd expect). If this is indeed solved, we should update at least the citoid-citefromdialog-search-label message.

We'll do that as part of T145462: Provide auto-citations based on ISBNs in Wikimedia production alongside announcements and so on.

I tried with 978-3-16-148410-0 and https://en.wikipedia.org/w/index.php?title=User%3AElitre_%28WMF%29%2FSandbox&type=revision&diff=753499569&oldid=724465258 is the result (interestingly, it doesn't feature the ISBN number as I'd expect). If this is indeed solved, we should update at least the citoid-citefromdialog-search-label message.

That's a bug. Sigh. :). Should probably fix that before we tell anyone about this! :D

TemplateData is finally all updated, so that's good. It took a little longer than I thought it would.